RPM-COMMON(8)

BEZEICHNUNG
rpm-common - Aktionen und Optionen, die für alle ausführbaren rpm(8)-Befehle gelten

ÜBERSICHT
RPM-Befehl [Optionen] {-?|--help}

RPM-Befehl [Optionen] --showrc

RPM-Befehl [Optionen] --version

BESCHREIBUNG
Die folgenden RPM-Befehle haben eine gemeinsame Konfiguration und die in dieser Handbuchseite beschriebenen Optionen und Aktionen:
•   rpm(8)
•   rpmdb(8)
•   rpmkeys(8)
•   rpmbuild(1)
•   rpmsign(1)
•   rpmspec(1)

AKTIONEN
-?, --help
    gibt eine ausführlichere Meldung zur Benutzung aus.

--version
    gibt eine Zeile mit der Versionsnummer der verwendeten Version von rpm aus.

--showrc
    schreibt Informationen zur Konfiguration von rpm in die Standardausgabe.

OPTIONEN
--color <MODUS>
    stellt Fehler- und Diagnosemeldungen im Terminal farbig dar, wobei der MODUS einer der folgenden ist:
    •   always
    •   auto (Ausgabe in Terminals farbig darstellen)
    •   never (Vorgabe)

--dbpath VERZEICHNIS
    verwendet die Datenbank im angegebenen VERZEICHNIS anstelle der im Standardpfad /var/lib/rpm.

-D 'MAKRO AUSDRUCK', --define='MAKRO AUSDRUCK'
    Definiert das MAKRO mit dem angegebenen Wert AUSDRUCK.

-E 'AUSDRUCK', --eval='AUSDRUCK'
    gibt die Makro-Expansion (siehe rpm-macros(7)) des angegebenen AUSDRUCKS aus.

--load DATEI
    lädt eine individuelle Makro-Datei (siehe rpm-macrofile(5)).

--macros DATEILISTE
    ersetzt die Liste der zu ladenden Makro-Dateien durch die in der angegebenen DATEILISTE. Siehe Makro-Konfiguration für Details.

--nodigest
    überprüft beim Lesen keine Paket- oder Kopfdaten-Prüfsummen.

--nohdrchk
    verfifiziert beim Holen der Datenbank-Kopfdaten diese nicht.

--nosignature
    überprüft beim Lesen keine Paket- oder Kopfdaten-Signaturen.

--pipe BEFEHL
    leitet die Ausgabe von rpm an den angegebenen BEFEHL weiter.

--predefine='MAKRO AUSDRUCK'
    definiert das angegebene Makro mit dem Ausdruck, bevor Makro-Dateien geladen werden. Dies ist ein Schalter für sehr seltene Spezialzwecke; für die übliche Makro-Definition sollten Sie --define verwenden.

--target PLATTFORM
    verwendet die Konfiguration der angegebenen PLATTFORM, anstatt diese automatisch zu erkennen. Die PLATTFORM wird als Architektur[-OS] gebildet.

--quiet
    gibt so wenig wie möglich aus – normalerweise werden nur Fehlermeldungen angezeigt.

--rcfile DATEILISTE
    ersetzt die Liste der zu lesenden Konfigurationsdateien durch die in der angegebenen DATEILISTE. Siehe rpmrc-Konfiguration für Details.

--root VERZEICHNIS
    verwendet das angegebene VERZEICHNIS als Dateisystemwurzel für alle Aktionen. Das bedeutet, dass die Datenbank in diesem VERZEICHNIS für Abhängigkeitsüberprüfungen verwendet wird und Scriptlets (zum Beispiel %post beim Installieren oder %prep beim Bau eines Pakets) nach einem Wechsel in dieses VERZEICHNIS mit chroot(2) ausgeführt werden.

    Beachten Sie, dass rpm davon ausgeht, dass die Umgebung in der Dateisystemwurzel vom Aufrufenden eingerichtet wurde, wie jegliche für die Aktion innerhalb des Wurzelverzeichnisses nötige Einhängungen.

--undefine='MAKRO'
    setzt die Definition des angegebenen MAKROS außer Kraft.

-v, --verbose
    gibt ausführliche Informationen aus – normalerweise werden Routine-Fortschrittsmeldungen angezeigt. Diese Option kann mehrfach angegeben werden, um noch ausführlichere Informationen zu erhalten, zum Beispiel -vv.

OPTIONEN ZUR FEHLERDIAGNOSE
--debug
    gibt ausführliche Informationen zur Fehlerdiagnose aus.

--fsmdebug
    gibt Fehlerdiagnoseinformationen über die Nutzlast-Behandlung aus.

--rpmiodebug
    gibt Fehlerdiagnoseinformationen über Datei-E/A aus.

--stats
    gibt Laufzeitstatistiken oft genutzter Funktionen aus.

FTP/HTTP-OPTIONEN
Diese Optionen sind als veraltet markiert. Verwenden Sie spezielle Software wie curl(1) oder wget(1), um Daten aus dem Internet zu holen.

Bei einigen Aktionen kann rpm als FTP- und/oder HTTP-Client agieren, so dass Pakete aus dem Internet abgefragt oder installiert werden können. Paketdateien für Installations-, Aktualisierungs- und Abfrageaktionen können als URL im ftp- oder http-Stil angegeben werden:

http://RECHNER[:PORT]/Pfad/zum/Paket.rpm

ftp://[BENUTZER:PASSWORT]@RECHNER[:PORT]/Pfad/zum/Paket.rpm

Falls sowohl Benutzername als auch Passwort weggelassen werden, wird eine anonyme ftp-Verbindung verwendet.

rpm ermöglicht die folgenden Aktionen mit http- und ftp-URLs:

--httpproxy RECHNER
    verwendet den angegebenen RECHNER als Proxy-Server für alle http-und ftp-Übertragungen. Diese Option kann auch über die Konfiguration des Makros %_httpproxy angegeben werden.

--httpport PORT
    gibt die Nummer des TCP-PORTS für die http-Verbindung über den Proxy-HTTP-Server an, anstatt den Standardport zu verwenden. Diese Option kann auch über das Makro %_httpport konfiguriert werden.

UMGEBUNGSVARIABLEN
RPM_CONFIGDIR
    setzt den vorgegebenen Ort der rpm-Konfiguration außer Kraft, typischerweise /usr/lib/rpm.

EXIT-STATUS
Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

DATEIEN

  Datenbank

    /var/lib/rpm/

  Temporäres

    /var/tmp/rpm*

SIEHE AUCH
popt(3), rpm(8) rpm-config(5), rpm-rpmrc(5), rpm-macros(7)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.